import 'package:flutter/material.dart';

class DashedLine extends StatelessWidget {
  const DashedLine({
    this.height = 3,
    this.color = Colors.black,
    this.heightContainer = 70,
  });

  final double height;
  final double heightContainer;
  final Color color;

  @override
  Widget build(BuildContext context) {
    return Container(
      height: heightContainer,
      child: LayoutBuilder(
        builder: (BuildContext context, BoxConstraints constraints) {
          final boxHeight = constraints.constrainHeight();
          final dashWidth = 4.0;
          final dashHeight = height;
          final dashCount = (boxHeight / (2 * dashHeight)).floor();
          return Padding(
            padding: const EdgeInsets.symmetric(vertical: 4.0),
            child: Flex(
              children: List.generate(dashCount, (_) {
                return SizedBox(
                  width: dashWidth,
                  height: dashHeight,
                  child: DecoratedBox(
                    decoration: BoxDecoration(color: color),
                  ),
                );
              }),
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              direction: Axis.vertical,
            ),
          );
        },
      ),
    );
  }
}
